This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 194559 - (perl-Event) Review Request: perl-Event
Review Request: perl-Event
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT perl-POE
  Show dependency treegraph
 
Reported: 2006-06-13 23:36 EDT by Chris Weyl
Modified: 2009-12-01 13:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 15:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-06-13 23:36:04 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Event.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Event-1.06-0.fc5.src.rpm
Description:
The Event module provide a central facility to watch for various types of
events and invoke a callback when these events occur. The idea is to delay the
handling of events so that they may be dispatched in priority order when it is
safe for callbacks to execute.
Comment 1 Jason Tibbitts 2006-06-14 10:59:28 EDT
Let's try this again...
Comment 2 Jason Tibbitts 2006-06-14 14:57:00 EDT
It's best to start Release: at one once you get into the repository.

No need to say "Event" twice in the Summary.

We usually state the license as "GPL or Artistic".

No need to BR: perl.
/usr/bin/iconv is part of glibc so it's safe to leave it out.  Similarly,
ExtUtils::MakeMaker is in the base perl package.  Technically you don't need any
BR:s at all for this package.

There's no real need to generate the licenses, but it doesn't hurt at all.

The package builds fine on x86_64, development.  rpmlint has this to say:

W: perl-Event devel-file-in-non-devel-package
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Event/EventAPI.h

We generally accept these in Perl packages.  (It's a perl-internal header and it
would be foolish to put one file with no dependencies in a -devel subpackage.)

Review:
* package meets naming and packaging guidelines.
O specfile is properly named, is cleanly written and uses macros consistently
(see summary issue above)
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   789cc8f0b011653cac6451cfef3053a8  Event-1.06.tar.gz
* latest version is being packaged.
O BuildRequires are proper (technically none are required).
* package builds in mock (x86_64, development).
* rpmlint has only ignorable complaints.
* final provides and requires are sane:
   Event.so()(64bit)
   perl(Event)
   perl(Event::Event::Dataful)
   perl(Event::Event::Io)
   perl(Event::MakeMaker)
   perl(Event::Watcher)
   perl(Event::Watcher::Tied)
   perl(Event::generic)
   perl(Event::generic::Source)
   perl(Event::group)
   perl(Event::idle)
   perl(Event::io)
   perl(Event::signal)
   perl(Event::timer)
   perl(Event::type)
   perl(Event::var)
   perl-Event = 1.06-0.fc6
  -
   libc.so.6()(64bit)
   libc.so.6(GLIBC_2.2.5)(64bit)
   perl >= 1:5.6.0
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Config)
   perl(DynaLoader)
   perl(Event::Watcher)
   perl(Time::HiRes)
   perl(base)
   perl(integer)
   perl(strict)
   perl(vars)
* shared libraries are present, but internal to Perl.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=24, Tests=126, 13 wallclock secs ( 2.87 cusr +  0.56 csys =  3.43 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers (except those internal to Perl)
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED; please fix up the summary.  If you wish, fix up the BR:s and the License:.
Comment 3 Chris Weyl 2006-06-14 15:41:08 EDT
Thanks!  Summary fixed up in CVS, ditto to License.

Built for FC-[45], devel.
Comment 4 Steve Traylen 2009-11-11 15:13:08 EST
Package Change Request
======================
Package Name: perl-Event
New Branches: EL-4 EL-5
Owners: stevetraylen


I mailed the perl-Event owner 4 and 9 days ago to check if I could take
this to which no response and in an earlier mail he mentioned to be 
stepping away from EPEL anyway.
Comment 5 Jason Tibbitts 2009-11-13 14:14:07 EST
CVS done.
Comment 6 Fedora Update System 2009-11-13 15:03:26 EST
perl-Event-1.13-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Event-1.13-1.el5
Comment 7 Fedora Update System 2009-11-13 15:15:14 EST
perl-Event-1.13-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/perl-Event-1.13-1.el4
Comment 8 Fedora Update System 2009-12-01 13:26:12 EST
perl-Event-1.13-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-12-01 13:29:03 EST
perl-Event-1.13-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.